com.genesyslab.wfm7.API.service.forecast750

## Class FrcInformationPeriod

- java.lang.Object
- - com.genesyslab.wfm7.API.service.forecast750.FrcInformationPeriod

- All Implemented Interfaces:
    java.io.Serializable

      public class FrcInformationPeriod
      extends java.lang.Object
      implements java.io.Serializable

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private java.lang.Object` | `__equalsCalc`
    `private boolean` | `__hashCodeCalc`
    `private double` | `end` Period end date
    `private double` | `start` Period start date

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FrcInformationPeriod()`
    `FrcInformationPeriod(double start, double end)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object obj)`
    `double` | `getEnd()` Gets the end value for this FrcInformationPeriod.
    `double` | `getStart()` Gets the start value for this FrcInformationPeriod.
    `int` | `hashCode()`
    `void` | `setEnd(double end)` Sets the end value for this FrcInformationPeriod.
    `void` | `setStart(double start)` Sets the start value for this FrcInformationPeriod.

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### start

          private double start

      Period start date

    - #### end

          private double end

      Period end date

    - #### __equalsCalc

          private java.lang.Object __equalsCalc

    - #### __hashCodeCalc

          private boolean __hashCodeCalc

  - ### Constructor Detail

    - #### FrcInformationPeriod

          public FrcInformationPeriod()

    - #### FrcInformationPeriod

          public FrcInformationPeriod(double start,
                              double end)

  - ### Method Detail

    - #### getStart

          public double getStart()

      Gets the start value for this FrcInformationPeriod.
      Returns:
        start

    - #### setStart

          public void setStart(double start)

      Sets the start value for this FrcInformationPeriod.
      Parameters:
        `start` -

    - #### getEnd

          public double getEnd()

      Gets the end value for this FrcInformationPeriod.
      Returns:
        end

    - #### setEnd

          public void setEnd(double end)

      Sets the end value for this FrcInformationPeriod.
      Parameters:
        `end` -

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.